Page MenuHomePhabricator

[OTRS] Syncing issues with lots of entries
Closed, ResolvedPublicBUG REPORT

Event Timeline

Tsevener created this task.Jun 10 2019, 9:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2019, 9:38 PM

From OTRS:

The other day, I made the pull-down motion while on my saved pages as if to update the page. All saved pages disappeared! When I tried restarting the app, it wouldn't open anymore. Restarting the phone didn't help. So I reinstalled the app. Now when I try to sync my saved pages, it keeps stopping at around 10%.

JMinor triaged this task as Normal priority.Jun 13 2019, 8:59 PM
JMinor moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.

OTRS users are also reporting single articles being stuck downloading (as in, 1 reading list with 1 article)

See https://phabricator.wikimedia.org/T226762. This should be retested after the server fix is deployed.

Server fix is live, moving to QA

JMinor added a subscriber: JMinor.Aug 6 2019, 6:08 PM

Can we retest this now with 6.3.1 and current server. In particular adding an article with a redirected title would be helpful to retest.

JMinor removed NHarateh_WMF as the assignee of this task.Aug 6 2019, 6:09 PM
ABorbaWMF added a subscriber: ABorbaWMF.

This has been working for me the last couple builds. I don't yet have thousands of articles, but I am in the hundreds. Moving to signoff

I am able to repro with this article: https://ja.wikipedia.org/wiki/小田急電鉄

One of the images on the page fails to load via Apple's networking stack and throws POSIX error 100:
https://upload.wikimedia.org/wikipedia/commons/thumb/4/4d/Odakyu_odawara.svg/18px-Odakyu_odawara.svg.png

Loads fine in Firefox, fails in Safari

Seems to be working for me on 6.3.2 (1659)

JMinor closed this task as Resolved.Tue, Aug 27, 8:43 PM
JMinor claimed this task.